#img-container {
    height: 300px;
    width: 300px;
    position: relative;
}

#value2 {
    position: absolute;
    top: 62px;
    left: 60px;
    line-height: 54px;
    backdrop-filter: blur(10px);
    height: 50px;
    width: 50px;
    font-size: 14px;
    text-align: center;
    border-radius: 50%;
    font-weight: bold;
    color: white;

    opacity: 0;
    transition: 1s;
}

#value2:hover, .backdrop:hover ~ #value2 {
    opacity: 100%;
    transition: 1s;
}

.filter {
    backdrop-filter: grayscale(100);
    height: 50%;
    transition: height 0.5s;
}